//
//  PhobosDataManager.h
//  GMCache
//
//  Created by Locus on 2020/1/21.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

typedef NS_ENUM(NSInteger, PhobosModelSendStatus) {
    PhobosModelSendStatusNormal = 0,
    PhobosModelSendStatusSending,
    PhobosModelSendStatusFinish,
    PhobosModelSendStatusError,
};

@interface PhobosSendModel : NSObject

@property (nonatomic, copy, readonly) NSString *sendId;
@property (nonatomic, strong) id data;
@property (nonatomic, copy) NSString *api;
@property (nonatomic, assign) PhobosModelSendStatus sendStatus;

- (instancetype)initWithData:(id)data sendApi:(NSString *)api;

@end

@interface PhobosDataManager : NSObject

- (void)insertData:(PhobosSendModel *)data immediately:(BOOL)immediately;
- (void)updateData:(PhobosSendModel *)data sendStatus:(PhobosModelSendStatus)sendStatus;
- (void)deleteData:(PhobosSendModel *)data;
- (void)removeNormalData;
- (NSArray<PhobosSendModel *> *)fetchData;

@end

NS_ASSUME_NONNULL_END
